export { default as DataType } from "./internals/DataType.js";
export const serializers: {};
export const intSerializer: IntSerializer;
export const longSerializer: LongSerializer;
export const longSerializerNg: LongSerializerNg;
export const stringSerializer: StringSerializer;
export const dateSerializer: DateSerializer;
export const timestampSerializer: DateSerializer;
export const classSerializer: StringSerializer;
export const doubleSerializer: DoubleSerializer;
export const floatSerializer: FloatSerializer;
export const listSerializer: ArraySerializer;
export const mapSerializer: MapSerializer;
export const setSerializer: SetSerializer;
export const uuidSerializer: UuidSerializer;
export const edgeSerializer: EdgeSerializer;
export const pathSerializer: PathSerializer;
export const propertySerializer: PropertySerializer;
export const vertexSerializer: VertexSerializer;
export const vertexPropertySerializer: VertexPropertySerializer;
export const bytecodeSerializer: BytecodeSerializer;
export const pSerializer: PSerializer;
export const traverserSerializer: TraverserSerializer;
export const enumSerializer: EnumSerializer;
export const lambdaSerializer: LambdaSerializer;
export const bigIntegerSerializer: BigIntegerSerializer;
export const byteSerializer: ByteSerializer;
export const byteBufferSerializer: ByteBufferSerializer;
export const shortSerializer: ShortSerializer;
export const booleanSerializer: BooleanSerializer;
export const textPSerializer: TextPSerializer;
export const traversalStrategySerializer: TraversalStrategySerializer;
export const bulkSetSerializer: BulkSetSerializer;
export const unspecifiedNullSerializer: UnspecifiedNullSerializer;
export const numberSerializationStrategy: NumberSerializationStrategy;
export const anySerializer: AnySerializer;
export const graphBinaryReader: GraphBinaryReader;
export const graphBinaryWriter: GraphBinaryWriter;
export default ioc;
import IntSerializer from './internals/IntSerializer.js';
import LongSerializer from './internals/LongSerializer.js';
import LongSerializerNg from './internals/LongSerializerNg.js';
import StringSerializer from './internals/StringSerializer.js';
import DateSerializer from './internals/DateSerializer.js';
import DoubleSerializer from './internals/DoubleSerializer.js';
import FloatSerializer from './internals/FloatSerializer.js';
import ArraySerializer from './internals/ArraySerializer.js';
import MapSerializer from './internals/MapSerializer.js';
import SetSerializer from './internals/SetSerializer.js';
import UuidSerializer from './internals/UuidSerializer.js';
import EdgeSerializer from './internals/EdgeSerializer.js';
import PathSerializer from './internals/PathSerializer.js';
import PropertySerializer from './internals/PropertySerializer.js';
import VertexSerializer from './internals/VertexSerializer.js';
import VertexPropertySerializer from './internals/VertexPropertySerializer.js';
import BytecodeSerializer from './internals/BytecodeSerializer.js';
import PSerializer from './internals/PSerializer.js';
import TraverserSerializer from './internals/TraverserSerializer.js';
import EnumSerializer from './internals/EnumSerializer.js';
import LambdaSerializer from './internals/LambdaSerializer.js';
import BigIntegerSerializer from './internals/BigIntegerSerializer.js';
import ByteSerializer from './internals/ByteSerializer.js';
import ByteBufferSerializer from './internals/ByteBufferSerializer.js';
import ShortSerializer from './internals/ShortSerializer.js';
import BooleanSerializer from './internals/BooleanSerializer.js';
import TextPSerializer from './internals/TextPSerializer.js';
import TraversalStrategySerializer from './internals/TraversalStrategySerializer.js';
import BulkSetSerializer from './internals/BulkSetSerializer.js';
import UnspecifiedNullSerializer from './internals/UnspecifiedNullSerializer.js';
import NumberSerializationStrategy from './internals/NumberSerializationStrategy.js';
import AnySerializer from './internals/AnySerializer.js';
import GraphBinaryReader from './internals/GraphBinaryReader.js';
import GraphBinaryWriter from './internals/GraphBinaryWriter.js';
declare namespace ioc {
    export { DataType };
    export { utils };
    export let serializers: {};
    export let intSerializer: IntSerializer;
    export let longSerializer: LongSerializer;
    export let longSerializerNg: LongSerializerNg;
    export let stringSerializer: StringSerializer;
    export let dateSerializer: DateSerializer;
    export let timestampSerializer: DateSerializer;
    export let classSerializer: StringSerializer;
    export let doubleSerializer: DoubleSerializer;
    export let floatSerializer: FloatSerializer;
    export let listSerializer: ArraySerializer;
    export let mapSerializer: MapSerializer;
    export let setSerializer: SetSerializer;
    export let uuidSerializer: UuidSerializer;
    export let edgeSerializer: EdgeSerializer;
    export let pathSerializer: PathSerializer;
    export let propertySerializer: PropertySerializer;
    export let vertexSerializer: VertexSerializer;
    export let vertexPropertySerializer: VertexPropertySerializer;
    export let bytecodeSerializer: BytecodeSerializer;
    export let pSerializer: PSerializer;
    export let traverserSerializer: TraverserSerializer;
    export let enumSerializer: EnumSerializer;
    export let lambdaSerializer: LambdaSerializer;
    export let bigIntegerSerializer: BigIntegerSerializer;
    export let byteSerializer: ByteSerializer;
    export let byteBufferSerializer: ByteBufferSerializer;
    export let shortSerializer: ShortSerializer;
    export let booleanSerializer: BooleanSerializer;
    export let textPSerializer: TextPSerializer;
    export let traversalStrategySerializer: TraversalStrategySerializer;
    export let bulkSetSerializer: BulkSetSerializer;
    export let unspecifiedNullSerializer: UnspecifiedNullSerializer;
    export let numberSerializationStrategy: NumberSerializationStrategy;
    export let anySerializer: AnySerializer;
    export let graphBinaryReader: GraphBinaryReader;
    export let graphBinaryWriter: GraphBinaryWriter;
}
import DataType from './internals/DataType.js';
import * as utils from './internals/utils.js';
